.container {
  background-color: var(--clr-container-clr);
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto 1fr;
  max-height: 100vh;
}
.title-div-container {
  width: 100%;
  height: 100%;
  background-color: var(--clr-container-clr);
  z-index: 105;
  position: relative;
  padding: 0.25rem;
  grid-column: 1/-1;
}

body {
  user-select: none; /* Prevents text selection */
}

.title-div {
  display: flex;
  gap: 5rem;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  border-radius: 1rem;
  z-index: 105;
  position: relative;
  text-align: center;
}
.logo-div {
  /* align-self: flex-start; */
  display: inline-block;
  margin-left: 2rem;
}

h1 {
  flex: 0 0 1;
  display: inline-block;
  align-self: center;
  margin: auto;
  /* vertical-align: middle; */
}

.cont1 {
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* bolts */
.round {
  display: inline-block;
  position: absolute;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background: linear-gradient(
    to bottom,
    rgba(248, 242, 242, 0.855),
    rgba(247, 237, 237, 0.855),
    rgba(192, 190, 190, 0.855)
  );
  box-shadow: 0 0 0 0.3rem rgba(255, 255, 255, 0.55);
}
.box {
  cursor: pointer;
}
.left-top {
  left: 1rem;
  top: 1rem;
}
.left-bottom {
  left: 1rem;
  bottom: 1rem;
}
.right-top {
  right: 1rem;
  top: 1rem;
}
.right-bottom {
  right: 1rem;
  bottom: 1rem;
}
.title-div h1 {
  justify-self: center;
  font-size: 2.8rem;
  color: var(--clr-text-clr);
  text-transform: uppercase;
}

/* ********************** */
/* *******SIDEBAR******* */
/* ********************** */

.sidebar {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  background-color: #fffcfc;
  box-shadow: 0 1rem 1rem 0 rgba(177, 176, 176, 0.855);
  padding: 1.2rem 1.6rem;
  margin: 0.25rem;
  border-radius: 0.9rem;
  left: 0;
  cursor: pointer;
}

.logo-div {
  padding: 0.8rem 0;
  width: 8rem;
}

.logo {
  width: 100%;
}

.tool-menu {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 3rem;
  font-size: 2rem;
}

.tool-link:link,
.tool-link:visited {
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 1rem;
  color: #333;
}
.tool-link[title="Variables"] {
  color: var(--clr-title-background);
}

.tool-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
}
.tool-list span {
  display: inline-block;
  font-size: 1.6rem;
}

.icons {
  width: 4rem;
  height: 4rem;
  color: var(--clr-title-background);
  /* box-shadow: 0 0 0.5rem 0 rgba(255, 255, 255, 0.5); */
}

/* ****************** */
/* *****MAIN******* */
/* ****************** */
.main {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  overflow-y: scroll;
  overflow-x: hidden;
  margin: 0.25rem;
  margin-bottom: 0;
  border-radius: 0.9rem;
}

.task-title {
  font-size: 1.8rem;
  padding: 0.2rem 1.6rem;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;

  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  letter-spacing: 0.15rem;
}

.task-variable {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background3),
    var(--clr-side-background2)
  );
}

.main-section {
  display: grid;
  /* grid-template-columns: repeat(2, 1fr); */
  grid-template-columns: 1fr;
  gap: 0.5rem;
  overflow-y: auto;
  scroll-behavior: smooth;
  padding: 0 0.25rem 0 0;
}

.main__task-div {
  width: 100%;
  background-color: #ffffffc9;
  border-radius: 0.9rem;
  /* padding: 1.5rem; */
  max-height: 100%;
  font-size: 1.6rem;
  border: 0.5rem solid var(--clr-text-clr);
  /* overflow-y: hidden; */
  overflow-x: hidden;
}

.main__task-div:nth-child(1) {
  position: relative;
  grid-column: 1/-1;
  /* grid-row: 1/4; */
  /* overflow-y: hidden; */
}

.main__task-div:nth-child(2) {
  grid-column: 1/-1;
  /* grid-row: 1/4; */
  /* overflow-y: hidden; */
}

.title-control-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top-left-radius: 1rem;
  border-top-right-radius: 1rem;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background3),
    var(--clr-side-background2)
  );
}

.footer {
  font-size: 1.2rem;
  /* padding: 0 1rem; */
  grid-column: 1/-1;
  text-align: center;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background3),
    var(--clr-side-background2)
  );
  color: var(--clr-text-clr);
  margin-bottom: 0;
}

.div__control {
  margin-top: 0.35rem;
  margin-right: 1rem;
}

.div__control img {
  width: 3rem;
  height: 3rem;
  cursor: pointer;
}

.ctrl-icons {
  cursor: pointer;
  width: 3rem;
  height: 3rem;
  border-radius: 0.5rem;
  background-color: var(--clr-title-background);
  color: var(--clr-text-clr);
}

/* ************simulation*********** */

/* canvas */
.canvas__div {
  width: 100%;
  border: 1px solid var(--clr-title-background);
  background-color: #fff;
  display: grid;

  grid-template-columns: 1fr;
  overflow-x: hidden;
}

.help,
.practice {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  /* padding: 5rem; */
  position: relative;
}

.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  padding: 10px;
  position: relative;
}

.div1,
.div2 {
  display: flex;
  justify-content: center; /* Center the image horizontally */
  align-items: center; /* Center the image vertically */
  position: relative;
  /* background-color: red; */
}

.div1 {
  position: relative; /* Make this the reference point for the bulb */
}

.grid-container img {
  width: 100%;
  height: auto;
}

.grid-container .bulb {
  position: absolute;
  top: 24%; /* Position the bulb relative to the circuit image */
  left: 88%; /* Adjust these values for the correct position on the circuit */
  width: 10%; /* Use a percentage for the bulb size to make it responsive */
  height: auto;
  transform: rotate(-90deg);
}

.grid-container .switch {
  position: absolute;
  width: 9%; /* Adjust size for responsiveness */
  height: auto;
  cursor: pointer;
}

button {
  cursor: pointer;
}

/* Position each switch individually on the circuit */
#switchA {
  top: 25%;
  left: 9%;
}

#switchB {
  top: 39%;
  left: 9%;
}

#switchC {
  top: 74%;
  left: 9%;
}

.stuck-at-selector {
  position: absolute;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-auto-flow: row;
  grid-gap: 0.5rem;
  /* right: 35px; */
  bottom: 5px;
  padding: 4px;
  /* background-color: #3385ff; */
  background-color: #0bbeb4;
}

.stuck-at-button {
  display: flex;
  /* background-color: #27d447; */
  justify-content: center;
  align-items: center;
  height: 32px;
  padding: 2px;
  border-radius: 10px;
}

.st-lables {
  position: absolute;
  color: red;
  visibility: hidden;
  font-size: 11px;
}

.simulator-table {
  max-width: 600px;
  margin-bottom: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.simulator-table table {
  width: 100%;
  height: auto;
  border-collapse: collapse;
  border-spacing: 0;
  margin-top: 1rem;
  border-width: 1px;
}

.container1 {
  width: 100%;
  margin: auto;
  max-width: 1440px;
  margin-top: 0.8rem;
}

.objective__title,
.apparatus__title {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  background-clip: text;
  color: transparent;
  font-size: 2rem;
  font-weight: 700;
}

.objective__sub {
  font-size: 1.8rem;
  font-weight: 700;
}
.objective__main {
  border: 2px solid var(--clr-title-background);
  font-size: 1.8rem;
  padding: 2rem;
  border-radius: 2rem;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.05);
  text-align: justify;
}

.objective__list {
  padding-left: 2rem;
}
.apparatus-screen {
  display: grid;
  grid-template-columns: 1fr;
  align-items: baseline;
  justify-items: center;
}
.apparatus-tool {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 50%;
  /* visibility: hidden; */
}
.tool-img {
  width: 100%;
  visibility: hidden;
}
.components {
  text-align: left;
  align-items: flex-start;
}

.practice {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem;
}

.practice-steps {
  font-style: 1.8rem;
  display: grid;
  grid-template-columns: auto 1fr auto;
  gap: 1rem;
  align-items: center;
}
.practice-step-no {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  padding: 1rem;
  width: 4rem;
  height: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1;
  border-radius: 100%;
  text-align: center;
  font-style: 1.8rem;
  font-weight: 700;
}

.practice-steps-additional {
  grid-column: 1/-1;
  justify-self: center;
  align-items: center;
  justify-content: center;
  display: flex;
  gap: 2rem;
}
.btn {
  padding: 1rem;
  font-weight: 700;
  border: none;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  border-radius: 1rem;
  cursor: pointer;
  transition: all 0.2s;
  justify-self: center;
}
.btn:hover {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  background-clip: text;
  color: transparent;
  border: 0.3rem solid var(--clr-title-background);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.05);
}
.draw-btn {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  position: absolute;
  left: 35%;
  top: 69%;
}
.question-btn {
  padding: 1rem;
  font-weight: 700;
  border: none;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  border-radius: 1rem;
  cursor: pointer;
  transition: display 0.3s;
  justify-self: center;
  grid-column: 1/-1;
  letter-spacing: 0.2rem;
}
.btn:disabled {
  background-image: linear-gradient(
    to bottom,
    var(--clr-body-clr),
    var(--clr-body-clr)
  );
  color: var(--clr-side-background3);
  cursor: not-allowed;
}
.btn-next:not(:disabled) {
  animation: highlight 1s infinite;
}

.btn-group {
  display: flex;
  gap: 0.5rem;
  grid-column: 3/4;
}

.btn-next,
.btn-reset {
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  color: var(--clr-text-clr);
  padding: 1rem;
  width: 4rem;
  height: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1;
  border-radius: 100%;
  text-align: center;
  font-style: 1.8rem;
  font-weight: 700;
  justify-self: end;
  position: relative;
}

.quiz-div {
  grid-column: 1/-1;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  border: 2px solid var(--clr-title-background);
  font-size: 1.8rem;
  padding: 2rem;
  border-radius: 2rem;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.05);
  width: 80%;
  align-self: center;
}
.question {
  /* background-color: var(--clr-title-background); */
  /* color: var(--clr-side-background4); */
  border-bottom: 0.3rem solid var(--clr-title-background);
  padding: 0.5rem;
  /* box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.05); */
  border-radius: 0.5rem;
}
.answers {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.final-statement {
  grid-column: 1/-1;
  background-image: linear-gradient(
    to bottom,
    var(--clr-side-background2),
    var(--clr-side-background3)
  );
  background-clip: text;
  color: transparent;
  font-size: 2rem;
  font-weight: 700;
  align-self: center;
}
canvas {
  width: 80%;
  height: 100%;
  margin: 0 auto;
}

.tooltip {
  font-weight: 500;
  position: absolute;
  top: -2rem;
  left: 0;
  background-color: rgba(247, 247, 247, 0.5);
  padding: 0.5rem;
  font-size: 1.1rem;
  /* right: -10rem; */
  display: none;
}
.circuit-dia:hover span,
.cross-img:hover span {
  display: block;
}
.canvas {
  position: relative;
  display: block;
  /* width: 100%;
  height: 100%; */
}

/* **********VARIABLES**************** */
#variables {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
}
.settings-sections {
  display: flex;
  flex-direction: column;
  /* border: 0.1rem solid #777; */
  /* padding: 0 1rem; */
  /* gap: 1rem; */
}

.variables-sections,
.control-sections {
  padding: 1rem 1rem 2rem 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1rem;
}

.quadrant-img {
  align-self: center;
}

.hide {
  display: none;
}

.practice-step-button {
  display: flex;
  justify-content: center;
  gap: 1rem;
}
.radioGroup {
  display: flex;
  align-items: center;
}
#shapeDropdown {
  border: 2px solid var(--clr-title-background);
  border-radius: 8%;
  padding: 3%;
}
#shapeDropdown option {
  background-color: var(
    --clr-title-background
  ); /* Background color for options */
  color: #fff; /* Text color for options */
}
.shapeDrop {
  margin-left: 2%;
}

.st-labels {
  position: absolute;
  color: red;
  visibility: hidden;
  font-size: 12px;
}

/* Responsive positioning for each label */
.pos-1 {
  left: 19%; /* Adjust as needed for exact placement */
  top: 29%;
}

.pos-2 {
  left: 19%;
  top: 29%;
}

.pos-3 {
  left: 18%;
  top: 47%;
}

.pos-4 {
  left: 18%;
  top: 47%;
}

.pos-5 {
  left: 18%;
  top: 81%;
}

.pos-6 {
  left: 18%;
  top: 81%;
}

.pos-7 {
  left: 53%;
  top: 37%;
}

.pos-8 {
  left: 53%;
  top: 37%;
}

.pos-9 {
  left: 85%;
  top: 45%;
}

.pos-10 {
  left: 85%;
  top: 45%;
}

@media print {
  .tg tr:nth-of-type(10n) {
    page-break-after: always;
  }

  .sidebar {
    display: none;
  }
  .practice {
    margin-bottom: 6.5rem; /* Adjust this value as needed */
  }
  .canvas__div {
    overflow: visible;
  }
}

.tg {
  border-collapse: collapse;
  border-spacing: 0;
}

.tg td {
  border-color: black;
  border-style: solid;
  border-width: 1px;
  font-family: Arial, sans-serif;
  font-size: 14px;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;
}

.tg th {
  border-color: black;
  border-style: solid;
  border-width: 1px;
  font-family: Arial, sans-serif;
  font-size: 14px;
  font-weight: normal;
  overflow: hidden;
  padding: 10px 5px;
  word-break: normal;
}

.tg .tg-b7zx {
  /* background-color: #3385ff; */
  background-color: #0bbeb4;
  border-color: #000000;
  color: #ffffff;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  vertical-align: top;
}

.tg .tg-ogub {
  /* background-color: #3385ff; */
  background-color: #0bbeb4;
  border-color: #000000;
  color: #ffffff;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
  vertical-align: middle;
}

.tg .tg-nrix {
  text-align: center;
  vertical-align: middle;
}
